import React from 'react';
import { View, StyleSheet } from 'react-native';
// @ts-ignore
import Svg, { Path } from 'react-native-svg';
export default function BodyWrapper({ value, color }) {
    return (React.createElement(View, { style: StyleSheet.absoluteFill },
        React.createElement(Body, { value: value, color: color })));
}
function Body({ value, color }) {
    switch (value) {
        case 'body1':
            return React.createElement(Body1, { color: color });
        case 'body2':
            return React.createElement(Body2, { color: color });
        case 'body3':
            return React.createElement(Body3, { color: color });
        case 'body4':
            return React.createElement(Body4, { color: color });
        default:
            console.warn('Missing body', value);
            return React.createElement(Body1, { color: color });
    }
}
function Body1({ color }) {
    return (React.createElement(Svg, { width: "100%", height: "100%", viewBox: "0 0 64 64" },
        React.createElement(Path, { fill: color, d: "M27 49v3a5 5 0 0010 0v-3l6.647 2.045A9 9 0 0150 59.647V64H14v-4.353a9 9 0 016.353-8.602z" })));
}
function Body2({ color }) {
    return (React.createElement(Svg, { width: "100%", height: "100%", viewBox: "0 0 64 64" },
        React.createElement(Path, { fill: color, d: "M27 51v.47a5 5 0 0010 0V51c7.063 1.523 12.93 6.735 16 13H11c3.07-6.265 8.937-11.477 16-13z" })));
}
function Body3({ color }) {
    return (React.createElement(Svg, { width: "100%", height: "100%", viewBox: "0 0 64 64" },
        React.createElement(Path, { fill: color, d: "M27 49v3a5 5 0 0010 0v-3l6.647 2.045A9 9 0 0150 59.647V64H14v-4.353a9 9 0 016.353-8.602z" })));
}
function Body4({ color }) {
    return (React.createElement(Svg, { width: "100%", height: "100%", viewBox: "0 0 64 64" },
        React.createElement(Path, { fill: color, d: "M27 49v3a5 5 0 0010 0v-3l6.647 2.045A9 9 0 0150 59.647V64H14v-4.353a9 9 0 016.353-8.602z" }),
        React.createElement(Path, { d: "M42 50.538l1.647.507A8.99 8.99 0 0146 52.163V64h-4zM38 64h-4v-5.29a7.017 7.017 0 004-3.102zm-8 0h-4v-8.392a7.017 7.017 0 004 3.102zm-8 0h-4V52.163a8.99 8.99 0 012.353-1.118L22 50.538z", fill: "#000", opacity: 0.2 }),
        React.createElement(Path, { fill: "#fff", d: "M47.068 53a9.013 9.013 0 012.535 4H36.899a6.982 6.982 0 002.03-4zM50 61v3H14v-3zm-35.603-4a9.013 9.013 0 012.535-4h8.139a6.982 6.982 0 002.03 4z", opacity: 0.18 })));
}
//# sourceMappingURL=body.js.map