import React, { useReducer, useMemo } from 'react';
import PropTypes from 'prop-types';
const initialState = {
    skinColor: '',
    hair: '',
    hairColor: '',
    facialHair: '',
    facialHairColor: '',
    body: '',
    bodyColor: '',
    eyes: '',
    mouth: '',
    nose: '',
    backgroundColor: ''
};
const initialContext = [{ ...initialState }, () => { }];
export const AvatarContext = React.createContext(initialContext);
const reducer = (state, action) => {
    switch (action.type) {
        case 'updateCharacters':
            return {
                ...state,
                ...action.payload,
            };
        default:
            throw new Error('Unrecognized action');
    }
};
export function AvatarController(props) {
    const [avatarState, dispatch] = useReducer(reducer, initialState);
    const value = useMemo(() => [avatarState, dispatch], [avatarState]);
    // @ts-ignore
    return React.createElement(AvatarContext.Provider, { value: value }, props.children);
}
AvatarController.propTypes = {
    children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node]).isRequired,
};
//# sourceMappingURL=context.js.map